Package org.fife.ui.rtextarea

## Interface BackgroundPainterStrategy

- All Known Implementing Classes:
    `BufferedImageBackgroundPainterStrategy`, `ColorBackgroundPainterStrategy`, `ImageBackgroundPainterStrategy`, `VolatileImageBackgroundPainterStrategy`

      public interface BackgroundPainterStrategy

  Interface for classes that paint the background of an `RTextAreaBase`. The Strategy pattern is used for this object because the background can be painted as a solid color, as an image, and possibly other ways (gradients, animated images, etc.). When a method to change the background of an `RTextAreaBase` instance is called (such as `setBackground`, `setBackgroundImage` or `setBackgoundObject`), the correct strategy is then created and used to paint its background.
  See Also:
    `ImageBackgroundPainterStrategy`, `ColorBackgroundPainterStrategy`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `paint​(Graphics g, Rectangle bounds)` | Paints the background.

- - ### Method Detail

    - #### paint

          void paint​(Graphics g,
                     Rectangle bounds)

      Paints the background.
      Parameters:
        `g` - The graphics context.
        `bounds` - The bounds of the object whose backgrouns we're painting.